// echo.zig --
//
// zig run ./echo.zig -- $(seq 1 10)

const std = @import("std");

pub fn main() !void {
    const stdout = std.io.getStdOut().writer();

    var gpa = std.heap.GeneralPurposeAllocator(.{}){};
    const allocator = gpa.allocator();
    defer _ = gpa.deinit();

    const args = try std.process.argsAlloc(allocator);
    defer std.process.argsFree(allocator, args);

    for (0.., args) |n, arg| {
    	if (n > 0) {
  	   const sep = if (n > 1) " " else "";
           try stdout.print("{s}{s}", .{sep, arg});
        }
    }
    try stdout.print("\n", .{});
}
